# Uses of Class
com.ngrok.definitions.TlsCertificate

Packages that use TlsCertificate
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of TlsCertificate in com.ngrok.definitions

  Methods in com.ngrok.definitions that return types with arguments of type TlsCertificate
  Modifier and Type
  Method
  Description
  `List<TlsCertificate>`
  TlsCertificateList.`getTlsCertificates()`
  the list of all TLS certificates on this account
  Constructor parameters in com.ngrok.definitions with type arguments of type TlsCertificate
  Modifier
  Constructor
  Description
  ``
  `TlsCertificateList(List<TlsCertificate> tlsCertificates, URI uri, Optional<URI> nextPageUri)`
  Creates a new instance of `TlsCertificateList`.

- ## Uses of TlsCertificate in com.ngrok.services

  Methods in com.ngrok.services that return TlsCertificate
  Modifier and Type
  Method
  Description
  `TlsCertificate`
  TlsCertificates.CreateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `TlsCertificate`
  TlsCertificates.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `TlsCertificate`
  TlsCertificates.UpdateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type TlsCertificate
  Modifier and Type
  Method
  Description
  `CompletionStage<TlsCertificate>`
  TlsCertificates.CreateCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<TlsCertificate>`
  TlsCertificates.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<TlsCertificate>`
  TlsCertificates.UpdateCallBuilder.`call()`
  Initiates the API call asynchronously.